Skip to content

The complete OpenAPI 3.0.3 specification can be downloaded here.

Subject Interface REST API (Operational) 1.0.0

Operational REST API for managing sessions, TLCs (Subjects), and related resources.

This is a down scoped version of the full API, focused on operational roles and excluding platform administration capabilities.

Authentication

All endpoints require custom header authentication using X-Authorization header. Tokens are managed through the Authorization Token endpoints.

Authorization Roles (Operational)

  • TLC Admin/System/Analyst: TLC management and analysis
  • Broker Admin/System/Analyst: Broker operations
  • Monitor Admin/System: Monitoring capabilities

Authorizations


GET /v1/authorizations

List authorizations

Description

Retrieve authorizations with optional filtering.

Results are automatically filtered based on the domain and account associated with the API key's authorization.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Response 200 OK

[
    {
        "uuid": "eabe839c-6b90-4b74-945a-a55ddf8bb3d0",
        "domain": "string",
        "account": "1265dbcd-695d-435b-a0a9-890086f24471",
        "role": "string",
        "tlcIdentifiers": [
            "string"
        ]
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/ResponseAuthorization"
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


POST /v1/authorizations

Create authorization

Description

Create a new authorization.

The domain and account are automatically set based on the API key's authorization context.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Request body

{
    "role": "TLC_ADMIN",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "role"
    ],
    "properties": {
        "role": {
            "$ref": "#/components/schemas/AuthorizationRole"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string",
                "pattern": "^[a-z0-9_-]{8}$"
            },
            "description": "TLC identifiers (8 chars, lowercase alphanumeric, underscore, hyphen)"
        }
    }
}

Response 201 Created

{
    "uuid": "480a96fc-a139-486e-97ad-58b3d5a903db",
    "domain": "string",
    "account": "4f3d4864-6417-4c9e-bf9d-782c791ac980",
    "role": "string",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string",
            "format": "uuid"
        },
        "role": {
            "type": "string"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string"
            }
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


GET /v1/authorizations/{uuid}

Get authorization by UUID

Description

Retrieve a specific authorization.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 200 OK

{
    "uuid": "adf0a2df-1ac7-4ab6-8f71-4d53226d1dd1",
    "domain": "string",
    "account": "2aba2716-5732-4b12-8fcf-fe40b475f8b7",
    "role": "string",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string",
            "format": "uuid"
        },
        "role": {
            "type": "string"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string"
            }
        }
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


PUT /v1/authorizations/{uuid}

Update authorization

Description

Update an existing authorization.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Request body

{
    "role": "TLC_ADMIN",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "role"
    ],
    "properties": {
        "role": {
            "$ref": "#/components/schemas/AuthorizationRole"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string",
                "pattern": "^[a-z0-9_-]{8}$"
            },
            "description": "TLC identifiers (8 chars, lowercase alphanumeric, underscore, hyphen)"
        }
    }
}

Response 200 OK

{
    "uuid": "f97e0900-18db-409c-9c89-82fa053d0c89",
    "domain": "string",
    "account": "4496662e-efa0-450c-b09a-167cac1dceb4",
    "role": "string",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string",
            "format": "uuid"
        },
        "role": {
            "type": "string"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string"
            }
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


DELETE /v1/authorizations/{uuid}

Delete authorization

Description

Delete an authorization.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 204 No Content

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.

Authorization Tokens


GET /v1/authorizationtokens

List authorization tokens

Description

Retrieve authorization tokens with optional filtering.

Results are automatically filtered based on the domain and account associated with the API key's authorization.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
authorization query string No Filter by authorization UUID

Response 200 OK

[
    {
        "uuid": "2644ed35-82de-4237-95bd-e5a57f3ac150",
        "token": "string",
        "authorization": "0c7d5a32-a337-47a2-838b-f227fb4457cc"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/ResponseAuthorizationToken"
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


POST /v1/authorizationtokens

Create authorization token

Description

Generate a new authorization token.

The token is automatically associated with the domain and account from the API key's authorization context.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Request body

{
    "authorization": "3e473ffb-567c-4fd0-a378-917887276886"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "authorization"
    ],
    "properties": {
        "authorization": {
            "type": "string",
            "format": "uuid",
            "description": "Authorization UUID"
        }
    }
}

Response 201 Created

{
    "uuid": "ceb25318-d5a2-490b-829f-71520d62969c",
    "token": "string",
    "authorization": "b849d308-31c0-4690-87ba-019b879acc10"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "token": {
            "type": "string",
            "pattern": "^[A-Za-z0-9+/]{42}[A-Za-z0-9+/=]$",
            "description": "Custom authorization token value (Base64 string)"
        },
        "authorization": {
            "type": "string",
            "format": "uuid",
            "description": "Authorization UUID"
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


GET /v1/authorizationtokens/{uuid}

Get authorization token by UUID

Description

Retrieve a specific authorization token.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 200 OK

{
    "uuid": "3757a937-b622-4c5a-8bec-2c7b4225b763",
    "token": "string",
    "authorization": "cfc6df23-7eb7-4e31-9344-2f1e352a1df3"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "token": {
            "type": "string",
            "pattern": "^[A-Za-z0-9+/]{42}[A-Za-z0-9+/=]$",
            "description": "Custom authorization token value (Base64 string)"
        },
        "authorization": {
            "type": "string",
            "format": "uuid",
            "description": "Authorization UUID"
        }
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


PUT /v1/authorizationtokens/{uuid}

Update authorization token

Description

Update an existing authorization token.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Request body

{
    "authorization": "0ffbd7c1-f202-44a7-aa98-591c3fdfaad5"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "authorization"
    ],
    "properties": {
        "authorization": {
            "type": "string",
            "format": "uuid",
            "description": "Authorization UUID"
        }
    }
}

Response 200 OK

{
    "uuid": "db5d4d21-1157-4392-9968-49f3570aecb1",
    "token": "string",
    "authorization": "09e4436b-0ab5-434f-879d-45dd2b1e7f1f"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "token": {
            "type": "string",
            "pattern": "^[A-Za-z0-9+/]{42}[A-Za-z0-9+/=]$",
            "description": "Custom authorization token value (Base64 string)"
        },
        "authorization": {
            "type": "string",
            "format": "uuid",
            "description": "Authorization UUID"
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


DELETE /v1/authorizationtokens/{uuid}

Delete authorization token

Description

Revoke an authorization token.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 204 No Content

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.

TLCs


GET /v1/tlcs

List TLCs

Description

Retrieve TLCs with optional filtering.

Results are automatically filtered based on the domain and account associated with the API key's authorization.

Authorization: Requires one of these roles:

  • TLC Admin, TLC Analyst
  • Broker Admin, Broker System, Broker Analyst
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Response 200 OK

[
    {
        "uuid": "f0e3a222-6635-41b7-828e-caeb92054bd3",
        "identifier": "string",
        "domain": "string",
        "account": "0355b88b-a989-4dc0-bd21-97d5786f32cd",
        "type": "TCPStreaming"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/ResponseTlc"
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


POST /v1/tlcs

Create TLC

Description

Create a new Traffic Light Controller.

The domain, account, and type are automatically set based on the API key's authorization context.

Authorization: Requires one of these roles:

  • TLC Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Request body

{
    "identifier": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "identifier"
    ],
    "properties": {
        "identifier": {
            "type": "string",
            "pattern": "^[a-z0-9_-]{8}$",
            "description": "TLC identifier (8 chars, lowercase alphanumeric, underscore, hyphen)"
        }
    }
}

Response 201 Created

{
    "uuid": "10c7951b-d47b-437b-8cf4-5ba9aa9d71ce",
    "identifier": "string",
    "domain": "string",
    "account": "50b6c2de-f030-4e50-8064-9f0452a9d7f7",
    "type": "TCPStreaming"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "identifier": {
            "type": "string"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string",
            "format": "uuid"
        },
        "type": {
            "$ref": "#/components/schemas/TlcType"
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


GET /v1/tlcs/{uuid}

Get TLC by UUID

Description

Retrieve a specific TLC.

Authorization: Requires one of these roles:

  • TLC Admin, TLC Analyst
  • Broker Admin, Broker System, Broker Analyst
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 200 OK

{
    "uuid": "f686c10e-5967-49a0-8628-15a8d386ac1b",
    "identifier": "string",
    "domain": "string",
    "account": "abcb4a66-956d-4c78-ab94-8f37a411c471",
    "type": "TCPStreaming"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "uuid": {
            "type": "string",
            "format": "uuid"
        },
        "identifier": {
            "type": "string"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string",
            "format": "uuid"
        },
        "type": {
            "$ref": "#/components/schemas/TlcType"
        }
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


DELETE /v1/tlcs/{uuid}

Delete TLC

Description

Delete a TLC.

Authorization: Requires one of these roles:

  • TLC Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
uuid path string No Resource UUID

Response 204 No Content

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.

Sessions


GET /v1/sessions

List active sessions

Description

Retrieve active sessions with optional filtering.

Results are automatically filtered based on the domain associated with the API key's authorization.

Authorization: Requires one of these roles:

  • TLC Admin, TLC System
  • Broker Admin, Broker System
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
protocol query None No Filter by session protocol
type query None No Filter by session type

Response 200 OK

[
    {
        "domain": "string",
        "type": "TLC",
        "token": "string",
        "protocol": "TCPStreaming_Singleplex",
        "details": null
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/ResponseSession"
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


POST /v1/sessions

Create session

Description

Create a new streaming session.

The domain in the request must match the domain associated with the API key's authorization.

Authorization: Requires one of these roles:

  • TLC Admin, TLC System
  • Broker Admin, Broker System
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Request body

{
    "domain": "string",
    "type": "TLC",
    "protocol": "TCPStreaming_Singleplex",
    "details": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "domain",
        "type",
        "protocol",
        "details"
    ],
    "properties": {
        "domain": {
            "type": "string",
            "minLength": 1,
            "description": "Domain name (converted to lowercase)"
        },
        "type": {
            "$ref": "#/components/schemas/SessionType"
        },
        "protocol": {
            "$ref": "#/components/schemas/SessionProtocol"
        },
        "details": {
            "oneOf": [
                {
                    "$ref": "#/components/schemas/RequestTCPStreamingSingleplexSessionDetails"
                },
                {
                    "$ref": "#/components/schemas/RequestTCPStreamingMultiplexSessionDetails"
                }
            ],
            "discriminator": {
                "propertyName": "protocol"
            }
        }
    }
}

Response 201 Created

{
    "domain": "string",
    "type": "TLC",
    "token": "string",
    "protocol": "TCPStreaming_Singleplex",
    "details": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "domain": {
            "type": "string"
        },
        "type": {
            "$ref": "#/components/schemas/SessionType"
        },
        "token": {
            "type": "string",
            "description": "Session token"
        },
        "protocol": {
            "$ref": "#/components/schemas/SessionProtocol"
        },
        "details": {
            "oneOf": [
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingSingleplexSessionDetails"
                },
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingMultiplexSessionDetails"
                }
            ],
            "discriminator": {
                "propertyName": "protocol"
            }
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


GET /v1/sessions/{token}

Get session by token

Description

Retrieve a specific session.

Authorization: Requires one of these roles:

  • TLC Admin, TLC System
  • Broker Admin, Broker System
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
token path string No Session token

Response 200 OK

{
    "domain": "string",
    "type": "TLC",
    "token": "string",
    "protocol": "TCPStreaming_Singleplex",
    "details": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "domain": {
            "type": "string"
        },
        "type": {
            "$ref": "#/components/schemas/SessionType"
        },
        "token": {
            "type": "string",
            "description": "Session token"
        },
        "protocol": {
            "$ref": "#/components/schemas/SessionProtocol"
        },
        "details": {
            "oneOf": [
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingSingleplexSessionDetails"
                },
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingMultiplexSessionDetails"
                }
            ],
            "discriminator": {
                "propertyName": "protocol"
            }
        }
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


PUT /v1/sessions/{token}

Update session

Description

Update session (TCP Streaming Multiplex only).

Authorization: Requires one of these roles:

  • TLC Admin, TLC System
  • Broker Admin, Broker System
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
token path string No Session token

Request body

{
    "securityMode": "NONE",
    "tlcIdentifiers": [
        "string"
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "securityMode"
    ],
    "properties": {
        "securityMode": {
            "$ref": "#/components/schemas/SecurityMode"
        },
        "tlcIdentifiers": {
            "type": "array",
            "items": {
                "type": "string",
                "pattern": "^[a-z0-9_-]{8}$"
            },
            "description": "TLC identifiers (8 chars each, lowercase alphanumeric, underscore, hyphen)"
        }
    }
}

Response 200 OK

{
    "domain": "string",
    "type": "TLC",
    "token": "string",
    "protocol": "TCPStreaming_Singleplex",
    "details": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "domain": {
            "type": "string"
        },
        "type": {
            "$ref": "#/components/schemas/SessionType"
        },
        "token": {
            "type": "string",
            "description": "Session token"
        },
        "protocol": {
            "$ref": "#/components/schemas/SessionProtocol"
        },
        "details": {
            "oneOf": [
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingSingleplexSessionDetails"
                },
                {
                    "$ref": "#/components/schemas/ResponseTCPStreamingMultiplexSessionDetails"
                }
            ],
            "discriminator": {
                "propertyName": "protocol"
            }
        }
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


DELETE /v1/sessions/{token}

End session

Description

Terminate an active session.

Authorization: Requires one of these roles:

  • TLC Admin
  • Broker Admin
  • Monitor Admin

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
token path string No Session token

Response 204 No Content

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.

Session Logs


GET /v1/sessionlogs

List session logs

Description

Retrieve session logs within a time range.

Authorization: Requires one of these roles:

  • TLC Admin, TLC Analyst
  • Broker Admin, Broker Analyst
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
from query string No Start time (ISO8601 format)
until query string No End time (ISO8601 format)

Response 200 OK

[
    {
        "token": "string",
        "domain": "string",
        "account": "string",
        "type": "string",
        "protocol": "string",
        "details": "string",
        "created": 169,
        "connected": 0,
        "remoteAddress": "string",
        "ended": 106,
        "endReason": "string",
        "tlcScopeHistory": [
            {
                "timestamp": 193,
                "scope": "string",
                "tlcIdentifier": "string"
            }
        ]
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "array",
    "items": {
        "$ref": "#/components/schemas/ResponseSessionLog"
    }
}

Response 400 Bad Request

Refer to the common response description: BadRequest.

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.


GET /v1/sessionlogs/{token}

Get session log by token

Description

Retrieve a specific session log.

Authorization: Requires one of these roles:

  • TLC Admin, TLC Analyst
  • Broker Admin, Broker Analyst
  • Monitor Admin, Monitor System

Input parameters

Parameter In Type Default Nullable Description
X-Authorization header string N/A No Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.
token path string No Session token

Response 200 OK

{
    "token": "string",
    "domain": "string",
    "account": "string",
    "type": "string",
    "protocol": "string",
    "details": "string",
    "created": 35,
    "connected": 200,
    "remoteAddress": "string",
    "ended": 167,
    "endReason": "string",
    "tlcScopeHistory": [
        {
            "timestamp": 260,
            "scope": "string",
            "tlcIdentifier": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "token": {
            "type": "string",
            "description": "Session token"
        },
        "domain": {
            "type": "string"
        },
        "account": {
            "type": "string"
        },
        "type": {
            "type": "string"
        },
        "protocol": {
            "type": "string"
        },
        "details": {
            "type": "string",
            "description": "Session details as JSON string"
        },
        "created": {
            "type": "integer",
            "format": "int64",
            "description": "Creation timestamp (Unix epoch milliseconds)"
        },
        "connected": {
            "type": "integer",
            "format": "int64",
            "description": "Connection timestamp (Unix epoch milliseconds)"
        },
        "remoteAddress": {
            "type": "string",
            "description": "Remote IP address"
        },
        "ended": {
            "type": "integer",
            "format": "int64",
            "description": "End timestamp (Unix epoch milliseconds)"
        },
        "endReason": {
            "type": "string",
            "description": "Reason for session termination"
        },
        "tlcScopeHistory": {
            "type": "array",
            "items": {
                "$ref": "#/components/schemas/ResponseSessionTlcLog"
            }
        }
    }
}

Response 401 Unauthorized

Refer to the common response description: Unauthorized.

Response 403 Forbidden

Refer to the common response description: Forbidden.

Response 404 Not Found

Refer to the common response description: NotFound.


Schemas

AuthorizationRole

Type: string

Direction

Type: string

ErrorResponse

Name Type
message string
status integer

RequestAuthorization

Name Type
role AuthorizationRole
tlcIdentifiers Array<string>

RequestAuthorizationToken

Name Type
authorization string(uuid)

RequestSession

Name Type
details
domain string
protocol SessionProtocol
type SessionType

RequestTCPStreamingMultiplexSessionDetails

Name Type
securityMode SecurityMode
tlcIdentifiers Array<string>

RequestTCPStreamingSingleplexSessionDetails

Name Type
securityMode SecurityMode
tlcIdentifier string

RequestTlc

Name Type
identifier string

ResponseAuthorization

Name Type
account string(uuid)
domain string
role string
tlcIdentifiers Array<string>
uuid string(uuid)

ResponseAuthorizationToken

Name Type
authorization string(uuid)
token string
uuid string(uuid)

ResponseSession

Name Type
details
domain string
protocol SessionProtocol
token string
type SessionType

ResponseSessionDetailsConnectionInitiation

Name Type
expiration string(date-time)
host string
port integer

ResponseSessionLog

Name Type
account string
connected integer(int64)
created integer(int64)
details string
domain string
ended integer(int64)
endReason string
protocol string
remoteAddress string
tlcScopeHistory Array<ResponseSessionTlcLog>
token string
type string

ResponseSessionTlcLog

Name Type
scope string
timestamp integer(int64)
tlcIdentifier string

ResponseTCPStreamingMultiplexSessionDetails

Name Type
clockDiffLimit string
clockDiffLimitDuration string
keepAliveTimeout string
listener ResponseSessionDetailsConnectionInitiation
payloadRateLimit integer
payloadRateLimitDuration string
payloadThroughputLimit integer
payloadThroughputLimitDuration string
securityMode SecurityMode
tlcIdentifiers Array<string>

ResponseTCPStreamingSingleplexSessionDetails

Name Type
clockDiffLimit string
clockDiffLimitDuration string
keepAliveTimeout string
listener ResponseSessionDetailsConnectionInitiation
payloadRateLimit integer
payloadRateLimitDuration string
payloadThroughputLimit integer
payloadThroughputLimitDuration string
securityMode SecurityMode
tlcIdentifier string

ResponseTlc

Name Type
account string(uuid)
domain string
identifier string
type TlcType
uuid string(uuid)

SecurityMode

Type: string

SessionProtocol

Type: string

SessionType

Type: string

TlcType

Type: string

Common responses

This section describes common responses that are reused across operations.

BadRequest

Bad request - Invalid input

{
    "message": "string",
    "status": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "message": {
            "type": "string",
            "description": "Error message (e.g., \"HTTP 401 Unauthorized\")"
        },
        "status": {
            "type": "integer",
            "description": "HTTP status code"
        }
    }
}

Unauthorized

Unauthorized - Authentication required

{
    "message": "string",
    "status": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "message": {
            "type": "string",
            "description": "Error message (e.g., \"HTTP 401 Unauthorized\")"
        },
        "status": {
            "type": "integer",
            "description": "HTTP status code"
        }
    }
}

Forbidden

Forbidden - Insufficient permissions

{
    "message": "string",
    "status": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "message": {
            "type": "string",
            "description": "Error message (e.g., \"HTTP 401 Unauthorized\")"
        },
        "status": {
            "type": "integer",
            "description": "HTTP status code"
        }
    }
}

NotFound

Resource not found

{
    "message": "string",
    "status": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "message": {
            "type": "string",
            "description": "Error message (e.g., \"HTTP 401 Unauthorized\")"
        },
        "status": {
            "type": "integer",
            "description": "HTTP status code"
        }
    }
}

Common parameters

This section describes common parameters that are reused across operations.

uuidPath

Name In Type Default Nullable Description
uuid path string No

Security schemes

Name Type Scheme Description
X-Authorization apiKey Authorization token passed in X-Authorization header. Obtain tokens via Authorization Token endpoints.

Tags

Name Description
Authorizations Role-based access control
Authorization Tokens Authentication token management
TLCs Traffic Light Controller management
Sessions Active session management
Session Logs Historical session data